<template>
    <div :style="{ backgroundImage: `url('https://api.flex.fsbr.com.br/uploads/banner/${String(filial).padStart(5, '0')}.jpg')`}" class="bg-banner height-hero flex flex-center items-center relative-position">
        <div class="height-hero bg-dark absolute full-width" :style="{ opacity: '0.5' }"></div>
        <div>
            <div :class="[ $q.platform.is.desktop ? 'flex justify-between items-center' : '']" :style="{ width: $q.platform.is.desktop ? '80vw' : '100vw' }">
                <q-item>
                    <q-item-section avatar>
                        <div class="q-pa-sm" :style="{ border: '1px solid #ffffff', borderRadius: '5px' }">
                            <q-skeleton v-if="isLoading" width="80px" height="80px" />
                            <q-avatar v-else size="80px" square>
                                <q-img :src="avatar_logo"></q-img>
                            </q-avatar>
                        </div>
                    </q-item-section>
                    <q-item-section class="text-white">
                        <q-skeleton v-if="isLoading" width="250px" height="85px" />
                        <div v-else>
                            <h6 class="q-ma-none">{{ razao_social }}</h6>
                            <p class="q-ma-none">{{ endereco }}</p>
                            <p class="q-ma-none">{{ telefone }}</p>
                        </div>
                    </q-item-section>
                </q-item>
                <div class="q-px-md">
                    <SearchProducts :style="{ width: $q.platform.is.desktop ? '450px' : '100%' }" />
                </div>
            </div>
        </div>
    </div>
</template>

<script setup>
import {onMounted, ref, watch} from "vue";
import { router } from '@inertiajs/vue3';
import { useStoreInfo } from "../stories/storeInfo";
import { SearchProducts } from "./";
import api from "../axios/api";

const path = (window.location.pathname.split('/'))[1];
const storeInfo = useStoreInfo();
const razao_social = ref('');
const endereco = ref('');
const telefone = ref('');
const avatar_logo = ref('');
const filial = ref('');
const isLoading = ref(false);
async function loadStoreInfo () {
    isLoading.value = true;
    const result = await api.get(`/api/client/${path}`).catch(error => error).finally(() => isLoading.value = false);
    if (result?.response?.status) {
        router.visit('/');
        return;
    }

    avatar_logo.value = `https://api.flex.fsbr.com.br/uploads/logo/${ String(result.data.data.codigo_filial).padStart(5, '0') }.jpg`
    razao_social.value = result.data.data.info.razao_social;
    endereco.value = `${result.data.data.info.endereco}, ${result.data.data.info.numero} - ${result.data.data.info.bairro}, ${result.data.data.info.cidade}, ${result.data.data.info.uf}`
    telefone.value = result.data.data.info.telefone;
    filial.value = result.data.data.codigo_filial;

    storeInfo.updateStoreInfo(result.data.data)
}

onMounted(() => {
    loadStoreInfo();
})
</script>

<style scoped>
.height-hero {
    height: 30vh;
}
.bg-banner {
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}
</style>
